---
title: Transaction Types
---
## Transaction Types

The type of a transaction (`TransactionType` field) is the most fundamental information about a transaction. This indicates what type of operation the transaction is supposed to do.

All transactions have certain fields in common:

* Common Fields

Each transaction type has additional fields relevant to the type of action it causes.
